Bug 682434 - [abrt] puddletag-0.9.11-2.fc14: amazon.py:178:retrieve_album:KeyError: 'artist'
Summary: [abrt] puddletag-0.9.11-2.fc14: amazon.py:178:retrieve_album:KeyError: 'artist'
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: puddletag
Version: 14
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Terje Røsten
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:ae185b84
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-03-05 13:26 UTC by vishal
Modified: 2011-04-06 22:32 UTC (History)
1 user (show)

Fixed In Version: puddletag-0.10.3-1.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-04-05 21:34:02 UTC


Attachments (Terms of Use)
File: backtrace (1.91 KB, text/plain)
2011-03-05 13:26 UTC, vishal
no flags Details

Description vishal 2011-03-05 13:26:24 UTC
abrt version: 1.1.17
architecture: x86_64
cmdline: /usr/bin/python /usr/bin/puddletag
component: puddletag
executable: /usr/bin/puddletag
kernel: 2.6.35.11-83.fc14.x86_64
package: puddletag-0.9.11-2.fc14
reason: amazon.py:178:retrieve_album:KeyError: 'artist'
release: Fedora release 14 (Laughlin)
time: 1299331470
uid: 500

backtrace
-----
amazon.py:178:retrieve_album:KeyError: 'artist'

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/puddlestuff/puddleobjects.py", line 1980, in run
    self.retval = self.command()
  File "/usr/lib/python2.7/site-packages/puddlestuff/releasewidget.py", line 379, in fetch_func
    return self.tagsource.retrieve(item.itemData)
  File "/usr/lib/python2.7/site-packages/puddlestuff/tagsources/amazon.py", line 376, in retrieve
    return info, retrieve_album(info, self.covertype)
  File "/usr/lib/python2.7/site-packages/puddlestuff/tagsources/amazon.py", line 178, in retrieve_album
    write_log(u'Retrieving XML: %s - %s' % (info['artist'], info['album']))
KeyError: 'artist'

Local variables in innermost frame:
url: 'http://webservices.amazon.com/onca/xml?AWSAccessKeyId=AKIAJ3KBYRUYQN5PVQGA&ItemId=B000I2J7M2&Operation=ItemLookup&ResponseGroup=Tracks&Service=AWSECommerceService&Timestamp=2011-03-05T09%3A01%3A18Z&Signature=GvN2RYpfVSO5piOGJvtcYLi2IIqC6t9HCDLQt5oOHKk%3D'
asin: u'B000I2J7M2'
image: '#mediumimage'
info: {'album': u"Disney's Karaoke Series: High School Musical", 'publisher': u'Walt Disney Records', 'asin': u'B000I2J7M2', '#largeimage': u'http://ecx.images-amazon.com/images/I/61GR568THCL.jpg', '#extrainfo': ('Album at Amazon', u'http://www.amazon.com/Disneys-Karaoke-High-School-Musical/dp/B000I2J7M2%3FSubscriptionId%3DAKIAJ3KBYRUYQN5PVQGA%26tag%3Dws%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB000I2J7M2'), 'label': u'Walt Disney Records', '#mediumimage': u'http://ecx.images-amazon.com/images/I/61GR568THCL._SL160_.jpg', '#asin': u'B000I2J7M2', '#smallimage': u'http://ecx.images-amazon.com/images/I/61GR568THCL._SL75_.jpg', '__numtracks': u'0', 'year': u'2006-10-10'}
query_pairs: {'ItemId': u'B000I2J7M2', 'AWSAccessKeyId': 'AKIAJ3KBYRUYQN5PVQGA', 'Service': u'AWSECommerceService', 'Timestamp': '2011-03-05T09:01:18Z', 'Operation': u'ItemLookup', 'ResponseGroup': u'Tracks'}

How to reproduce
-----
1.Whenever i try to tag from freedb crash occurs and for many odd ocassions too.
2.Like mass tagging and other features.
3.I even tried disabling comiz fusion but no use.

Comment 1 vishal 2011-03-05 13:26:31 UTC
Created attachment 482434 [details]
File: backtrace

Comment 2 vishal 2011-03-05 17:27:41 UTC
Package: puddletag-0.9.11-2.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.Often crashes while retrieving information maybe selinux fault.

2.No idea at the moment.
3.

Comment 3 Terje Røsten 2011-03-07 19:44:29 UTC
Thanks for your report.

Comment 4 Terje Røsten 2011-03-07 20:39:37 UTC
> 1.Whenever i try to tag from freedb crash occurs and for many odd ocassions
> too.
> 2.Like mass tagging and other features.
> 3.I even tried disabling comiz fusion but no use.


The backtrace seems to coming from Amazon, however you have problems with FreeDB too?

It would be very helpful if you could provide information how you get the FreeDB crashes,
what actions you are using, info about artist, record, track info etc.

Thanks in advance.

Comment 5 vishal 2011-03-08 15:26:34 UTC
I'll soon get to it thnx for quick reply!!

Comment 6 Fedora Update System 2011-03-14 07:07:31 UTC
puddletag-0.10.0-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/puddletag-0.10.0-1.fc14

Comment 7 Fedora Update System 2011-03-14 07:07:38 UTC
puddletag-0.10.0-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/puddletag-0.10.0-1.fc15

Comment 8 Fedora Update System 2011-03-28 06:37:32 UTC
puddletag-0.10.3-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/puddletag-0.10.3-1.fc14

Comment 9 Fedora Update System 2011-03-28 06:37:40 UTC
puddletag-0.10.3-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/puddletag-0.10.3-1.fc15

Comment 10 Fedora Update System 2011-03-28 19:21:40 UTC
Package puddletag-0.10.3-1.fc14:
* should fix your issue,
* was pushed to the Fedora 14 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing puddletag-0.10.3-1.fc14'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/puddletag-0.10.3-1.fc14
then log in and leave karma (feedback).

Comment 11 Fedora Update System 2011-04-05 21:33:57 UTC
puddletag-0.10.3-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2011-04-06 22:32:43 UTC
puddletag-0.10.3-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.